curl --request POST \
--url https://api.siftstack.com/api/v1/rules:updateHumanFriendly \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetId": "<string>",
"rulesJson": "<string>",
"organizationId": "<string>"
}
'{
"success": true,
"rulesCount": 123,
"messages": "<string>"
}Batch update rules given the rules_json which is a JSON list of rules.
curl --request POST \
--url https://api.siftstack.com/api/v1/rules:updateHumanFriendly \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetId": "<string>",
"rulesJson": "<string>",
"organizationId": "<string>"
}
'{
"success": true,
"rulesCount": 123,
"messages": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Deprecated - use UpdateJsonRulesRequest.
Was this page helpful?